## kooha 2.3.1

=== meson_options.txt ===
option(
  'profile',
  type: 'combo',
  choices: [
    'default',
    'development'
  ],
  value: 'default',
  description: 'The build profile for Kooha. One of "default" or "development".'
)

## kooha 2.3.0

=== debian/changelog ===
kooha (2.3.0-5) unstable; urgency=medium

  * Cherry-pick patch to fix build (Closes: #1096227)
  * salsa-ci: Ignore blhc and reprotest failures

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 28 Feb 2025 21:30:56 -0500

kooha (2.3.0-4) unstable; urgency=medium

  * d/rules: Increase test timeout (Closes: #1086334) 
    (thanks to Aurelien Jarno)

 -- Matthias Geiger <werdahias@debian.org>  Fri, 08 Nov 2024 11:51:57 +0100

kooha (2.3.0-3) unstable; urgency=medium

  * d/rules: Simplify by including dpkg/default.mk
  * d/rules: Increase test timeout for slow arches
  * d/p/gtk-rs-0.9.patch: extend for newer libadwaita (Closes: #1084284)

 -- Matthias Geiger <werdahias@debian.org>  Wed, 09 Oct 2024 17:27:02 +0200

kooha (2.3.0-2) unstable; urgency=medium

  * Update for unstable upload

 -- Matthias Geiger <werdahias@debian.org>  Sun, 08 Sep 2024 20:22:43 +0200

kooha (2.3.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1055956)

 -- Matthias Geiger <werdahias@debian.org>  Sun, 08 Sep 2024 20:20:43 +0200

=== debian/control ===
Source: kooha
Section: misc
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Geiger <werdahias@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 meson (>= 0.59),
 desktop-file-utils,
 libglib2.0-dev (>= 2.66),
 libgtk-4-dev (>= 4.10),
 libadwaita-1-dev (>= 1.2),
 libgstreamer1.0-dev (>= 1.20),
 libgstreamer-plugins-bad1.0-dev (>= 1.20),
 libpulse-dev (>= 15.0),
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-anyhow-1+default-dev (>= 1.0.59-~~),
 librust-ctor-0.1+default-dev,
 librust-futures-channel-0.3+default-dev (>= 0.3.19-~~),
 librust-futures-util-0.3-dev,
 librust-gdk4-wayland-0.9+default-dev,
 librust-gdk4-x11-0.9+default-dev,
 librust-gettext-rs-0.7+default-dev,
 librust-gettext-rs-0.7+gettext-system-dev,
 librust-gsettings-macro-0.2+default-dev (>= 0.2.0-~~),
 librust-gst-plugin-gif-0.13+default-dev,
 librust-gst-plugin-gtk4-0.13+default-dev,
 librust-gstreamer-0.23+default-dev,
 librust-gtk4-0.9+default-dev,
 librust-gtk4-0.9+gnome-46-dev,
 librust-libadwaita-0.7+default-dev,
 librust-libadwaita-0.7+v1-5-dev,
 librust-num-traits-0.2+default-dev,
 librust-once-cell-1+default-dev,
 librust-serde-yaml-0.9+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-tracing-0.1+default-dev (>= 0.1.36-~~),
 librust-tracing-subscriber-0.3+default-dev (>= 0.3.15-~~)
Standards-Version: 4.7.0
Homepage: https://github.com/SeaDve/Kooha
Vcs-Browser: https://salsa.debian.org/gnome-team/kooha
Vcs-Git: https://salsa.debian.org/gnome-team/kooha.git

Package: kooha
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 pipewire,
 gstreamer1.0-pipewire,
 gstreamer1.0-plugins-ugly,
 gstreamer1.0-vaapi,
 libx264-164,
 xdg-desktop-portal-gnome | xdg-desktop-portal-backend,
Description: Elegantly record your screen
 Kooha allows recording of the screen. It has the following features:
 - recording of microphone / computer audio / both
 - support for WebM, MP4, GIF, and Matroska formats
 - recording a specific section or monitor
 - experimental hardware-accelerated encoding

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/kooha-$1\.tar\.gz/ \
  https://github.com/SeaDve/kooha/tags .*/v?(\d\S*)\.tar\.gz

## kooha 2.3.1

=== debian/changelog ===
kooha (2.3.1-5) unstable; urgency=medium

  * Add Lintian override for use of rust-unsafe-libyaml
  * Generate Static-Built-Using
  * Salsa CI: Remove explicit disabling of reprotest
  * Remove unnecessary Priority: optional field

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 06 Dec 2025 20:29:11 -0500

kooha (2.3.1-4) unstable; urgency=medium

  * Use Depends: gstreamer1.0-plugins-bad instead of gstreamer1.0-vaapi

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 03 Nov 2025 11:27:02 -0500

kooha (2.3.1-3) unstable; urgency=medium

  * Remove patch avoiding rustc 1.88
  * Update Build-Depends
  * Remove debian/watch and use upstream metadata instead

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 08 Oct 2025 14:03:52 -0400

kooha (2.3.1-2) unstable; urgency=high

  * Update Depends: libx264-164 → x264 (Closes: #1115890)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 21 Sep 2025 09:15:30 -0400

kooha (2.3.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Build-Depends (Closes: #1115794)
  * Add patch to revert changes that require rustc 1.88
  * Remove 2 patches applied in new release
  * Remove unnecessary fix-tests patch
  * Remove obsolete Rules-Requires-Root: no field
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 20 Sep 2025 16:57:31 -0400

=== debian/control ===
Source: kooha
Section: misc
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders:
 Matthias Geiger <werdahias@debian.org>,
 Jeremy Bícha <jbicha@ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-cargo,
 cargo:native,
 desktop-file-utils,
 libadwaita-1-dev (>= 1.2),
 libglib2.0-dev (>= 2.66),
 libgstreamer-plugins-bad1.0-dev (>= 1.20),
 libgstreamer1.0-dev (>= 1.20),
 libgtk-4-dev (>= 4.10),
 libpulse-dev (>= 15.0),
 librust-anyhow-1+default-dev (>= 1.0.59-~~),
 librust-futures-channel-0.3+default-dev (>= 0.3.19-~~),
 librust-futures-util-0.3-dev,
 librust-gdk4-wayland-0.10+default-dev,
 librust-gdk4-x11-0.10+default-dev,
 librust-gettext-rs-0.7+default-dev,
 librust-gettext-rs-0.7+gettext-system-dev,
 librust-gsettings-macro-0.2+default-dev,
 librust-gst-plugin-gif-0.14+default-dev,
 librust-gst-plugin-gtk4-0.14+default-dev,
 librust-gst-plugin-gtk4-0.14+dmabuf-dev,
 librust-gst-plugin-gtk4-0.14+gtk-v4-14-dev,
 librust-gst-plugin-gtk4-0.14+wayland-dev,
 librust-gst-plugin-gtk4-0.14+x11egl-dev,
 librust-gst-plugin-gtk4-0.14+x11glx-dev,
 librust-gstreamer-0.24+default-dev,
 librust-gstreamer-0.24+v1-20-dev,
 librust-gtk4-0.10+default-dev,
 librust-gtk4-0.10+gnome-46-dev,
 librust-libadwaita-0.8+default-dev,
 librust-libadwaita-0.8+v1-6-dev,
 librust-once-cell-1+default-dev (>= 1.19.0-~~),
 librust-serde-1+default-dev (>= 1.0.196-~~),
 librust-serde-1+derive-dev (>= 1.0.196-~~),
 librust-serde-yaml-0.9+default-dev (>= 0.9.31-~~),
 librust-tracing-0.1+default-dev (>= 0.1.36-~~),
 librust-tracing-subscriber-0.3+default-dev (>= 0.3.15-~~),
 libstd-rust-dev,
 meson (>= 0.59),
 rustc:native (>= 1.88)
Standards-Version: 4.7.2
Homepage: https://github.com/SeaDve/Kooha
Vcs-Browser: https://salsa.debian.org/gnome-team/kooha
Vcs-Git: https://salsa.debian.org/gnome-team/kooha.git

Package: kooha
Architecture: any
Multi-Arch: foreign
Depends:
 gstreamer1.0-pipewire,
 gstreamer1.0-plugins-bad,
 gstreamer1.0-plugins-ugly,
 pipewire,
 x264,
 xdg-desktop-portal-gnome | xdg-desktop-portal-backend,
 ${misc:Depends},
 ${shlibs:Depends}
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: Elegantly record your screen
 Kooha allows recording of the screen. It has the following features:
  - recording of microphone / computer audio / both
  - support for WebM, MP4, GIF, and Matroska formats
  - recording a specific section or monitor
  - experimental hardware-accelerated encoding

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/rustc/architecture.mk
export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE
export PATH := /usr/share/cargo/bin:$(PATH)
export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(CURDIR)/debian/cargo_home
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@

execute_after_dh_auto_clean:
	rm -rf debian/cargo_registry

# Pass DEB_HOST_RUST type to meson to build
override_dh_auto_configure:
	$(CARGO) prepare-debian debian/cargo_registry --link-from-system
	rm -f Cargo.lock
	dh_auto_configure -- \
	-Dhost_arch="$(DEB_HOST_RUST_TYPE)" \

# Give the tests more time on slow arches
override_dh_auto_test:
	dh_auto_test -- --timeout-multiplier 3

# Generate (Static-)Built-Using
# Symlink the meson target dir to target/$(DEB_HOST_RUST_TYPE)/release
# since dh-cargo-built-using expects it there
execute_after_dh_auto_install:
	mkdir -p $(CURDIR)/target/$(DEB_HOST_RUST_TYPE)/
	ln -s $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/src/$(DEB_HOST_RUST_TYPE)/release target/$(DEB_HOST_RUST_TYPE)/
	/usr/share/cargo/bin/dh-cargo-built-using kooha
